Bug 828068

Summary: [ja_JP] [RHSM Firstboot] Should back to Entitlement Platform Registration page instead of Set Up Software Updates page after clicking 'Back' button in Confirm Subscriptions page of Firstboot .
Product: Red Hat Enterprise Linux 6 Reporter: Lijun Li <lijli>
Component: subscription-managerAssignee: Michael Stead <mstead>
Status: CLOSED CURRENTRELEASE QA Contact: Entitlement Bugs <entitlement-bugs>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 6.3CC: alikins, ddumas, dlackey, eng-i18n-bugs, fsharath, khong, lijli, ltroan, mfuruta, mstead, syeghiay
Target Milestone: rcKeywords: i18n, ZStream
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: subscription-manager-1.0.4-1 Doc Type: Bug Fix
Doc Text:
In the Japanese version of Subscription Manager, clicking the 'Back' button on the confirmation page of the subscriptions setup in firstboot incorrectly goes back to the 'Set Up Software Updates' screen. It should go back to the 'Entitlement Platform Registration' screen. This is fixed in Errata RHBA-2012:13347-1.
Story Points: ---
Clone Of:
: 833150 (view as bug list) Environment:
Last Closed: 2012-12-10 16:41:59 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 738066, 830269, 833150    
Attachments:
Description Flags
Should back to Entitlement Platform Registration page
none
Bug Fix none

Description Lijun Li 2012-06-04 03:32:28 EDT
Description of problem:
[ja_JP] [RHSM Firstboot] Should back to Entitlement Platform Registration page instead of Set Up Software Updates page after clicking 'Back' button in Confirm Subscriptions page of Firstboot .

Version-Release number of selected component (if applicable):
subscription-manager-firstboot-0.99.19-1.el6.x86_64


How reproducible:
100%

Steps to Reproduce:
1. Install latest RHEL6.3 Server build (RC-2/RHEL6.3-20120531.0).
2. Go to first boot page or run # firstboot --reconfig on a terminal.
3. Register System using RHN account and password, but Do not select 'Skip automatic subscription selection for this system' option and click Forward.
4. Click 'Back' in Confirm Subscriptions page.
  
Actual results:
Back to Set Up Software Updates page after clicking 'Back' button in Confirm Subscriptions page of Firstboot .

Expected results:
Should back to Entitlement Platform Registration pageg instead of Set Up Software Updates pae after clicking 'Back' button in Confirm Subscriptions page of Firstboot .

Additional info:
It works fine in en_US locale and back to Entitlement Platform Registration pageg.
Comment 1 Lijun Li 2012-06-04 03:36:46 EDT
Created attachment 589058 [details]
Should back to Entitlement Platform Registration page
Comment 3 Adrian Likins 2012-06-05 13:02:00 EDT
Haven't confirmed, but this certainly seems related to
https://bugzilla.redhat.com/show_bug.cgi?id=828042#c9
Comment 4 Michael Stead 2012-06-06 08:18:25 EDT
I have confirmed comment 3. Changing the title does in fact resolve this bug.
Comment 7 Michael Stead 2012-06-07 14:13:50 EDT
We will include in z-stream.
Comment 8 Michael Stead 2012-06-08 11:28:47 EDT
This was actually fixed by adding a space to the end of the "Confirm Subscriptions" translation in the ja.po

While less optimal, this was fix was less intrusive when looking at porting to 6.3 z-stream as it would not dissrupt the working translations.

Fixed in:

master - db0f648fddf1cef8db23e9771f03ae29e161145d
Comment 11 Sharath Dwaral 2012-06-20 11:49:56 EDT
Created attachment 593260 [details]
Bug Fix

Testing with the latest versions on RHEL6.3 brew

# rpm -qa | grep python-rhsm
python-rhsm-0.99.12-1.el6.noarch

# rpm -qa | grep subscription-manager
subscription-manager-firstboot-0.99.19.3-1.el6_3.x86_64
subscription-manager-gnome-0.99.19.3-1.el6_3.x86_64
subscription-manager-0.99.19.3-1.el6_3.x86_64
subscription-manager-migration-0.99.19.3-1.el6_3.x86_64

Back button now takes you back to the Service Level Selection page, and pressing back again takes you to the subscription manager login page. It behaves now liuke a true back button and is consistant with the other languages.

Marking Verified.
Comment 12 Deon Ballard 2012-06-29 18:06:32 EDT
Adding tech note summary.
Comment 13 Deon Ballard 2012-06-29 18:06:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In the Japanese version of Subscription Manager, clicking the 'Back' button on the confirmation page of the subscriptions setup in firstboot incorrectly goes back to the 'Set Up Software Updates' screen. It should go back to the 'Entitlement Platform Registration' screen.
Comment 14 Deon Ballard 2012-06-29 18:09:19 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-In the Japanese version of Subscription Manager, clicking the 'Back' button on the confirmation page of the subscriptions setup in firstboot incorrectly goes back to the 'Set Up Software Updates' screen. It should go back to the 'Entitlement Platform Registration' screen.+In the Japanese version of Subscription Manager, clicking the 'Back' button on the confirmation page of the subscriptions setup in firstboot incorrectly goes back to the 'Set Up Software Updates' screen. It should go back to the 'Entitlement Platform Registration' screen. This is fixed in Errata RHBA-2012:13347-1.
Comment 15 Bryan Kearney 2012-12-10 16:41:59 EST
Bug Clean Up, these are in the current release.